NewWacht Bench is live — AI-assisted development for Wacht

Create Ai Agent

POST
/ai/agents

Authorization

bearerAuth
AuthorizationBearer <token>

API key issued from the Wacht platform dashboard. Pass as a Bearer token: Authorization: Bearer <api_key>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.wacht.dev/ai/agents" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{
  "id": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "name": "string",
  "description": "string",
  "deployment_id": "string",
  "sub_agents": "string",
  "strong_model": {
    "provider": "string",
    "model": "string"
  },
  "weak_model": {
    "provider": "string",
    "model": "string"
  },
  "hooks": {
    "execution_start": [
      {
        "tool_name": "string",
        "args": null
      }
    ],
    "before_llm": [
      {
        "tool_name": "string",
        "args": null
      }
    ],
    "after_llm": [
      {
        "tool_name": "string",
        "args": null
      }
    ],
    "before_tool": [
      {
        "tool_name": "string",
        "args": null
      }
    ],
    "after_tool": [
      {
        "tool_name": "string",
        "args": null
      }
    ],
    "on_budget_exhausted": [
      {
        "tool_name": "string",
        "args": null
      }
    ],
    "execution_end": [
      {
        "tool_name": "string",
        "args": null
      }
    ]
  },
  "require_approval_mcp": true,
  "require_approval_virtual": true,
  "tool_approval_rules": [
    {
      "pattern": "string",
      "action": "allow"
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}